summaryrefslogtreecommitdiff
path: root/src/scripts
diff options
context:
space:
mode:
authorPhil Pennock <pdp@exim.org>2011-01-24 14:35:04 -0500
committerPhil Pennock <pdp@exim.org>2011-01-24 14:35:04 -0500
commit4050a04413dda769b60118e3bbb518639be6828a (patch)
tree6fd66daaafa68dc0f84e9cf6def4a5016693aab8 /src/scripts
parent1594a79a0b6c74b271cf476c211bb5ff1578187d (diff)
Compatibility fixes for dynlookup makefile builder.
Don't abort if CFLAGS_DYNAMIC not defined. Oops! Attempt to get a POSIX environment on Solaris. Document POSIXy assumptions going forward. Problems reported by: Dennis Davis
Diffstat (limited to 'src/scripts')
-rwxr-xr-xsrc/scripts/lookups-Makefile17
1 files changed, 15 insertions, 2 deletions
diff --git a/src/scripts/lookups-Makefile b/src/scripts/lookups-Makefile
index 7f2dd1b9e..959d49e11 100755
--- a/src/scripts/lookups-Makefile
+++ b/src/scripts/lookups-Makefile
@@ -2,6 +2,15 @@
# We turn the configure-built build-$foo/lookups/Makefile.predynamic into Makefile
+if [ -x /usr/xpg4/bin/sh ] && [ -z "EXIM_BLOCK_XPG4_LOOP" ]
+then
+ EXIM_BLOCK_XPG4_LOOP=yes
+ export EXIM_BLOCK_XPG4_LOOP
+ PATH="/usr/xpg4/bin:$PATH"
+ export PATH
+ exec /usr/xpg4/bin/sh "$@"
+fi
+
input=lookups/Makefile.predynamic
target=lookups/Makefile
defs_source=Makefile
@@ -15,10 +24,10 @@ tab=' '
if grep -q "^CFLAGS_DYNAMIC[ $tab]*=" "$defs_source"
then
# we have a definition, we're good to go
- : # noop (true) statement for bash compatibility
+ enable_dynamic=yes
else
echo >&2 "Missing CFLAGS_DYNAMIC inhibits building dynamic module lookup"
- exit 1
+ enable_dynamic=''
fi
tmp="$target.t"
@@ -46,6 +55,10 @@ emit_module_rule() {
if want_dynamic "$lookup_name"
then
+ if [ -z "$enable_dynamic" ]; then
+ echo >&2 "Inhibited dynamic modules prevents building dynamic $lookup_name"
+ exit 1
+ fi
echo "MODS += ${mod_name}.so"
grep "^LOOKUP_${lookup_name}_" "$defs_source"
echo "LOOKUP_${mod_name}_INCLUDE = \$(LOOKUP_${lookup_name}_INCLUDE)"